Name: cdb
Version: 0.75
Release: 2
Group: Applications/Databases
URL: http://pobox.com/~djb/cdb.html
License: Public Domain
Packager: David Summers <david@summersoft.fay.ar.us>
Source: ftp://koobera.math.uic.edu/pub/software/cdb-0.75.tar.gz
Patch0: errno.patch
Patch1: home.patch
Summary: Constant DataBase
Buildroot: /tmp/cdb

%description
cdb is a fast, reliable, lightweight package for creating and reading constant databases.

#%package devel
#Summary: cdb static libraries and headers
#Group: Development/Libraries
#
#%description devel
#Libraries and header files needed to develop applications using cdb databases

%changelog

* Sat Oct 27 2007 David Summers <david@summersoft.fay.ar.us> 0.75-2
- Fixed conf-home to build into /usr/bin instead of /usr/local/bin/.

* Sat Oct 27 2007 David Summers <david@summersoft.fay.ar.us> 0.75-1
- Updated to cdb-0.75.
- Fixed to compile on later RHEL releases that require the errno.h include file.

* Sun Feb 15 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>

 - as per the README file, the copyright is really public-domain

* Thu Oct 10 1997 Bruce Guenter <bruce.guenter@qcc.sk.ca>

 - added libcdbmake.a, cdbmake.h, and uint32.h to devel package

%prep
%setup

%patch0 -p1
%patch1 -p0

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
#mkdir -p $RPM_BUILD_ROOT/usr/man/man1
#mkdir -p $RPM_BUILD_ROOT/usr/man/man3
#mkdir -p $RPM_BUILD_ROOT/usr/include
#mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 755 cdbdump cdbget cdbmake cdbmake-12 cdbstats cdbtest $RPM_BUILD_ROOT/usr/bin
#install -m 644 *.1 $RPM_BUILD_ROOT/usr/man/man1
#install -m 644 *.3 $RPM_BUILD_ROOT/usr/man/man3
#install -m 644 libcdb.a libcdbmake.a $RPM_BUILD_ROOT/usr/lib
#install -m 644 cdb.h cdbmake.h uint32.h $RPM_BUILD_ROOT/usr/include
rm -rf $RPM_BUILD_ROOT/usr/include

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr/bin/*
#%attr(-,root,root) /usr/man/man1/*
#%attr(-,root,root) %doc BLURB CDB CHANGES INSTALL README TODO SYSDEPS
%attr(-,root,root) %doc CHANGES README TODO SYSDEPS

#%files devel
#%attr(-,root,root) /usr/man/man3/*
#%attr(-,root,root) /usr/include/*
#%attr(-,root,root) /usr/lib/*
